## org.apache.mahout.clustering.dirichlet.models
Class SampledNormalModel

    java.lang.Object
      org.apache.mahout.clustering.dirichlet.models.NormalModel
          org.apache.mahout.clustering.dirichlet.models.SampledNormalModel

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, Cluster, Model<VectorWritable>

    public class SampledNormalModel

extends NormalModel

Field Summary

Fields inherited from interface org.apache.mahout.clustering.Cluster
`CLUSTERED_POINTS_DIR, CLUSTERS_DIR, INITIAL_CLUSTERS_DIR`

Constructor Summary
`SampledNormalModel()`
`SampledNormalModel(int id, Vector mean, double sd)`

Method Summary
`java.lang.String` `asFormatString(java.lang.String[] bindings)` Produce a custom, human-friendly, printable representation of the Cluster.
`NormalModel` `sampleFromPosterior()` Return an instance with the same parameters
`java.lang.String` `toString()`

Methods inherited from class org.apache.mahout.clustering.dirichlet.models.NormalModel
`asJsonString, computeParameters, count, getCenter, getId, getMean, getNumPoints, getRadius, getStdDev, observe, pdf, readFields, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SampledNormalModel

    public SampledNormalModel()

### SampledNormalModel

    public SampledNormalModel(int id,
                              Vector mean,
                              double sd)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NormalModel`

### sampleFromPosterior

    public NormalModel sampleFromPosterior()

  Return an instance with the same parameters

  Specified by:
    `sampleFromPosterior` in interface `Model<VectorWritable>`
  Overrides:
    `sampleFromPosterior` in class `NormalModel`
  Returns:
    an SampledNormalModel

### asFormatString

    public java.lang.String asFormatString(java.lang.String[] bindings)

  Description copied from interface: `Cluster`
  Produce a custom, human-friendly, printable representation of the Cluster.

  Specified by:
    `asFormatString` in interface `Cluster`
  Overrides:
    `asFormatString` in class `NormalModel`
  Parameters:
    `bindings` - an optional String[] containing labels used to format the primary Vector/s of this implementation.
  Returns:
    a String

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.